package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class LandDoc extends DynamoDBDocBase {
    private String landAttrib;

    public String getAttribFieldName() {
        return "LandAttrib";
    }

    @DynamoDbAttribute("LandAttrib")
    @JsonProperty("LandAttrib")
    public String getAttribValue() {
        return landAttrib;
    }

    public void setAttribValue(String value) {
        this.landAttrib = value;
    }
}

